using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;
using Syncfusion.Windows.Forms.Chart;

namespace DataBinding
{
    public partial class Form1 : Form
    {
        ChartDataBindModel model = null;
        ChartDataBindAxisLabelModel yAxisLabelModel = null;
        public OleDbConnection connection = new OleDbConnection("Provider=SQLOLEDB;Data Source=SYNCCHN26;Initial Catalog=BarChart;Persist Security Info=True;User ID=sa;Password=ask");
        OleDbDataAdapter ada;
        DataSet ds;
        OleDbCommand cmd2;
        OleDbParameter up1, up2;
        ChartSeries series;

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {          
            cmd2 = new OleDbCommand("update Bar set Item=?, Value=? where ID=2", connection);
            up1 = new OleDbParameter("@up11", OleDbType.VarChar, 20);
            up2 = new OleDbParameter("@up12", OleDbType.Integer, 40);
            cmd2.Parameters.Add(up1);
            cmd2.Parameters.Add(up2);
            cmd2.Parameters["@up11"].Value = textBox1.Text;
            cmd2.Parameters["@up12"].Value = Convert.ToInt32(textBox2.Text);
            cmd2.ExecuteNonQuery();
            connection.Close();
            this.chartControl1.Series.Clear();
            InitializeChartData();
                   
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
            InitializeControlSettings();
            InitializeChartData();
        }
        private void InitializeControlSettings()
        {
            // Specify a ChartPalette:
            Color[] color = new Color[] { Color.FromArgb(185, 73, 141, 238), Color.FromArgb(185, 247, 179, 78), Color.FromArgb(185, 186, 66, 30) };
            this.chartControl1.Palette = ChartColorPalette.Custom;
            this.chartControl1.Model.ColorModel.CustomColors = color;
            this.chartControl1.Palette = ChartColorPalette.Custom;

            this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185, new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue, Color.Azure));
            this.chartControl1.LegendPosition = ChartDock.Top;
            this.chartControl1.HidePartialLabels = true;
        }
        private void InitializeChartData()
        {
            this.chartControl1.Indexed = true;
            this.chartControl1.ChartArea.PrimaryYAxis.Indexed = true;

            OleDbCommand cmd = new OleDbCommand("SELECT * FROM Bar", connection);
            connection.Open();
            ada = new OleDbDataAdapter(cmd.CommandText, connection);
            ds = new DataSet();
            ada.Fill(ds, "Bar");
            this.model = new ChartDataBindModel(this.ds, "Bar");
            this.model.XName = "ID";
            this.model.YNames = new string[] { "Value" };
           series = chartControl1.Model.NewSeries("DataBinding");
           
            series.Text = series.Name;
            series.Type = ChartSeriesType.Bar;
            series.SeriesModelImpl = this.model;
            this.chartControl1.Series.Add(series);
       
            this.yAxisLabelModel = new ChartDataBindAxisLabelModel(this.ds, "Bar");
            this.yAxisLabelModel.LabelName = "Item";

            this.chartControl1.ChartArea.PrimaryYAxis.LabelsImpl = this.yAxisLabelModel;
            this.chartControl1.ChartArea.PrimaryYAxis.ValueType = ChartValueType.Custom;

            this.chartControl1.Text = "Chart DataBinding Sample(Bar Chart)";
                     

        }

        private void chartControl1_Click(object sender, EventArgs e)
        {
            
        }
    }
}